<?
include_once H.'/sys/inc/start.php';
include_once H.'/sys/inc/compress.php';
include_once H.'/sys/inc/sess.php';
include_once H.'/sys/inc/home.php';
include_once H.'/sys/inc/settings.php';
include_once H.'/sys/inc/db_connect.php';
include_once H.'/sys/inc/ipua.php';
include_once H.'/sys/inc/fnc.php';
include_once H.'/sys/inc/user.php';

include_once H.'/sys/inc/thead.php';

only_level(4);

$set['title']='Редактор фотоконкурса';
title();
aut();

$id = intval($_GET['id']);
$fk=mysql_fetch_assoc(mysql_query("SELECT * FROM `fk` WHERE `id` = '".$id."' "));
if(!isset($id) or $fk['name'] == null){
header("Location: index.php?".SID); }






if(isset($_GET['next']) and isset($_POST['fk'])){ 

$name=my_esc($_POST['name']);
$rules=my_esc($_POST['rules']);

if(strlen2($name)<3 or strlen2($name)>111)  {
echo '<div class="err"> Короткое название! </div>';
}
elseif(strlen2($rules)<3 or strlen2($rules)>1111000)  {
echo '<div class="err"> Короткие правила! </div>';
}
elseif($_POST['pobeda'] == "" or $_POST['pobeda'] < 0)  {
echo '<div class="err"> Неправильно заполнены баллы за 1 место! </div>';
}
elseif($_POST['pobeda2'] == "" or $_POST['pobeda2'] < 0)  {
echo '<div class="err"> Неправильно заполнены баллы за 2 место! </div>';
}
elseif($_POST['pobeda3'] == "" or $_POST['pobeda3'] < 0)  {
echo '<div class="err"> Неправильно заполнены баллы за 3 место! </div>';
}
elseif($_POST['uchastie'] == "" or $_POST['uchastie'] < 0)  {
echo '<div class="err"> Неправильно заполнены баллы за участие! </div>';
}
elseif($_POST['golosue'] == "" or $_POST['golosue'] < 0)  {
echo '<div class="err"> Неправильно заполнены баллы за голосование! </div>';
}
elseif($_POST['skolko'] == "" or $_POST['skolko'] < 0)  {
echo '<div class="err"> Неправильно заполнены баллы за количество голосов! </div>';
}
else
{
$t = intval($_POST['dney']);
$end_tim = 86400*$t;
$end_time = $end_tim+$fk['end_time'];

mysql_query("UPDATE `fk` SET `name` = '".$name."' where `id` =  '".$id."'  ");
mysql_query("UPDATE `fk` SET `rules` = '".$rules."' where `id` =  '".$id."'  ");
mysql_query("UPDATE `fk` SET `pobeda` = '".intval($_POST['pobeda'])."' where `id` =  '".$id."'  ");
mysql_query("UPDATE `fk` SET `pobeda2` = '".intval($_POST['pobeda2'])."' where `id` =  '".$id."'  ");
mysql_query("UPDATE `fk` SET `pobeda3` = '".intval($_POST['pobeda3'])."' where `id` =  '".$id."'  ");
mysql_query("UPDATE `fk` SET `uchastie` = '".intval($_POST['uchastie'])."' where `id` =  '".$id."'  ");
mysql_query("UPDATE `fk` SET `golosue` = '".intval($_POST['golosue'])."' where `id` =  '".$id."'  ");
mysql_query("UPDATE `fk` SET `kol_vo` = '".intval($_POST['kol_vo'])."' where `id` =  '".$id."'  ");
mysql_query("UPDATE `fk` SET `skolko` = '".intval($_POST['skolko'])."' where `id` =  '".$id."'  ");
mysql_query("UPDATE `fk` SET `end_time` = '".$end_time."' where `id` =  '".$id."'  ");




 header("Location: info_fk.php?id=".$id."".SID); 

 }

}

if($fk['images'] == null) { $images = '<img src="img/not.png" height="50" width="50">'; }
else { $images = '<img src="images/'.$fk['images'].'" height="50" width="50">'; }



echo '<div class="mess">'.$images;
echo '<a href="?id='.$id.'&photo"> Сменить обложку</a></div>';


if(!isset($_GET['photo'])) {
echo"<div class='mess'><form action='?id=".$id."&next' method='post' >
Название:<br />
<input type='text' name='name'  value='".input_value_text($fk['name'])."' />
<br />Правила:<br />
<textarea name='rules'>".input_value_text($fk['rules'])."</textarea><br />
Баллы за 1 место:<br />
<input type='text' name='pobeda' size='2'  value='".input_value_text($fk['pobeda'])."' /><br />
Баллы за 2 место:<br />
<input type='text' name='pobeda2' size='2'  value='".input_value_text($fk['pobeda2'])."' /><br />
Баллы за 3 место:<br />
<input type='text' name='pobeda3' size='2'  value='".input_value_text($fk['pobeda3'])."' /><hr>
Баллы за участие:<br />
<input type='text' name='uchastie' size='2'  value='".input_value_text($fk['uchastie'])."' /><br />
Баллы за голосование:<br />
<input type='text' name='golosue' size='2'  value='".input_value_text($fk['golosue'])."' /><hr />
За сколько фото может голосовать 1 пользователь:<br />
<input type='text' name='skolko' size='2'  value='".input_value_text($fk['skolko'])."' /><hr>
Сколько максимум участников:<br /><select  name='kol_vo'>
  <option value='".$fk['kol_vo']."'>".input_value_text($fk['kol_vo'])."</option>
  <option value='1'>1</option>
  <option value='2'>2</option>
  <option value='3'>3</option>
  <option value='4'>4</option>
  <option value='5'>5</option>
  <option value='6'>6</option>
  <option value='7'>7</option>
  <option value='8'>8</option>
  <option value='9'>9</option>
  <option value='10'>10</option>
  <option value='11'>11</option>
  <option value='12'>12</option>
  <option value='13'>13</option>
  <option value='14'>14</option>
  <option value='15'>15</option>
  <option value='16'>16</option>
  <option value='17'>17</option>
  <option value='18'>18</option>
  <option value='19'>19</option>
  <option value='20'>20</option>
  <option value='21'>21</option>
  <option value='22'>22</option>
  <option value='23'>23</option>
  <option value='24'>24</option>
  <option value='25'>25</option>
  <option value='26'>26</option>
  <option value='27'>27</option>
  <option value='28'>28</option>
  <option value='29'>29</option>
  <option value='30'>30</option>
</select><br />
Продлить на:<br /><select  name='dney'>
  <option value='0'>0</option>
  <option value='1'>1</option>
  <option value='2'>2</option>
  <option value='3'>3</option>
  <option value='4'>4</option>
  <option value='5'>5</option>
  <option value='6'>6</option>
  <option value='7'>7</option>
  <option value='8'>8</option>
  <option value='9'>9</option>
  <option value='10'>10</option>
  <option value='11'>11</option>
  <option value='12'>12</option>
  <option value='13'>13</option>
  <option value='14'>14</option>
  <option value='15'>15</option>
  <option value='16'>16</option>
  <option value='17'>17</option>
  <option value='18'>18</option>
  <option value='19'>19</option>
  <option value='20'>20</option>
  <option value='21'>21</option>
  <option value='22'>22</option>
  <option value='23'>23</option>
  <option value='24'>24</option>
  <option value='25'>25</option>
  <option value='26'>26</option>
  <option value='27'>27</option>
  <option value='28'>28</option>
  <option value='29'>29</option>
  <option value='30'>30</option>
</select> дней<br />
<input type='submit' name ='fk' value='Сохранить' />
</form></div>";
echo '<div class="foot"><img src="/style/icons/str2.gif"> <a href="info_fk.php?id='.$id.'">Назад</a></div>';

}




if(isset($_GET['photo'])) {




/////////////////////////////////////////
if(isset($_POST['add'])){

	 $imag = my_esc($_FILES['imag']['name']);
	$type = $_FILES['imag']['type'];

	 
	 if(empty($imag) ){
	     $err= 'Выберите фото!';
	 } 
 elseif ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png')
{$err='Это же не фото!';
}
	 
	 else {
	 $ras1 = explode(".",$imag);
	 $ras1 = end($ras1);
	 $name_1 = time()."1.$ras1";
	 
	 
	 
	     if(copy($_FILES['imag']['tmp_name'], H.'plugins/foto.konkurs/images/'.$name_1))
		 {
		 
		
		 
 mysql_query("UPDATE `fk` SET `images` = '".$name_1."' where `id` =  '".$id."'  ");
 mysql_query("UPDATE `fk` SET `active` = '1' where `id` =  '".$id."'  ");


 header("Location: edit_fk.php?id=".$id."".SID); 
		 }
	 }
}

echo "<div class='nav2'>
<form action='?id=".$id."&photo' enctype='multipart/form-data' method='post'>
Обложка фотоконкурса: <br/> 
<input type='file' name='imag'/><br/> 

<input type='submit' name='add' value='Сменить'/><br/> 
</form>
</div>";

err();
echo '<div class="foot"><img src="/style/icons/str2.gif"> <a href="edit_fk.php?id='.$id.'">Назад</a></div>';

}

echo '<div class="foot"><img src="img/fk.png"> <a href="index.php">Фотоконкурсы</a></div>';





include_once H.'/sys/inc/tfoot.php';
?>